org.hibernate.search.backend.impl.lucene

## Class NRTCommitPolicy

- java.lang.Object
- - org.hibernate.search.backend.impl.lucene.AbstractCommitPolicy
  - - org.hibernate.search.backend.impl.lucene.NRTCommitPolicy

- All Implemented Interfaces:
    CommitPolicy

      public final class NRTCommitPolicy
      extends AbstractCommitPolicy

  Commit policy for Near Real Time usage of a indexWriter. Will only commit if explicitly requested
  Author:
    gustavonalle

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.backend.impl.lucene.AbstractCommitPolicy

      `indexWriterHolder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NRTCommitPolicy(org.hibernate.search.backend.impl.lucene.IndexWriterHolder indexWriterHolder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onChangeSetApplied(boolean someFailureHappened, boolean streaming)` A changeset was applied to the index
    `void` | `onFlush()` An explicit flush was requested

    - ### Methods inherited from class org.hibernate.search.backend.impl.lucene.AbstractCommitPolicy

      `getIndexWriter, getIndexWriter, onClose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NRTCommitPolicy

          public NRTCommitPolicy(org.hibernate.search.backend.impl.lucene.IndexWriterHolder indexWriterHolder)

  - ### Method Detail

    - #### onChangeSetApplied

          public void onChangeSetApplied(boolean someFailureHappened,
                                         boolean streaming)

      Description copied from interface: `CommitPolicy`
      A changeset was applied to the index
      Parameters:
        `someFailureHappened` - true if any failure happened
        `streaming` - true if changesets are part of a stream of operations

    - #### onFlush

          public void onFlush()

      Description copied from interface: `CommitPolicy`
      An explicit flush was requested

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved